import { JsonModel } from '@ngx-material-dashboard/base-json';
import { IconButtonsWithPaginatorComponent } from '../../../toolbar/pages/icon-buttons-with-paginator/icon-buttons-with-paginator.component';
import { CollectionComponent } from '../collection/collection.component';
import { PagedCollectionWithToolbarComponent } from '../paged-collection-with-toolbar/paged-collection-with-toolbar.component';
import * as i0 from "@angular/core";
/**
 * The `PagedCollectionWithIconToolbar` extends the
 * `PagedCollectionWithToolbar`. This component does not add new capabilities,
 * but defines the type of toolbar expected to be used with the collection,
 * which is the `IconButtonsWithPaginator`. It requires the collection in the
 * template to be of type `Collection` since paging is rendered and managed
 * from the toolbar. See the documentation for the `IconButtonsWithPaginator`
 * for more details
 * [here](/widgets/toolbar/overview#icon-buttons-with-paginator-component).
 */
export declare class PagedCollectionWithIconToolbarComponent<T extends JsonModel> extends PagedCollectionWithToolbarComponent<T> {
    /**
     * Reference to the collection included in template for component. This is
     * expected to be a Collection since paging is rendered in toolbar.
     */
    collectionCmp: CollectionComponent<T>;
    toolbar: IconButtonsWithPaginatorComponent<T>;
    static ɵfac: i0.ɵɵFactoryDeclaration<PagedCollectionWithIconToolbarComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PagedCollectionWithIconToolbarComponent<any>, "ng-component", never, {}, {}, ["collectionCmp"], never>;
}
