import * as i0 from "@angular/core";
/**
 * A simple directive to stop a `click` event from propagating. This is mainly
 * being used in the `FilterDropDown` to prevent the drop down from closing
 * when the user clicks in the form defined for the drop down, but it can be
 * used anywhere you want to prevent `click` events from propagating to parent
 * elements.
 *
 * @overviewDetails
 * #### Basic Usage Example
 * ```html
 * <div [matMenuTriggerFor]="filterMenu">
 *     <span>Drop Down</span>
 * </div>
 * <mat-menu #filterMenu="matMenu">
 *     <form ngxMatClickStopPropagation>
 *         <!-- form fields go here -->
 *     </form>
 * </mat-menu>
 * ```
 */
export declare class ClickStopPropagationDirective {
    /**
     * Calls the `stopPropagation` function on the given event.
     *
     * @param event A `click` event.
     */
    onClick(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ClickStopPropagationDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ClickStopPropagationDirective, "[ngxMatClickStopPropagation]", never, {}, {}, never>;
}
